Skip to main content
POST
/
{walletId}
/
transactions
Get all transactions
curl --request POST \
  --url https://gateway.varchev.com/wallet/{walletId}/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
{
  "type": "<string>",
  "created": "<string>",
  "status": "<string>",
  "pageNumber": 123,
  "orderId": 123,
  "pageSize": 123
}
'
{
  "walletId": "walletId",
  "pagination": {
    "totalSize": 6.027456183070403,
    "numberOfPages": 0.8008281904610115,
    "currentPage": 1.4658129805029452
  },
  "tranactions": [
    {
      "walletId": "walletId",
      "fees": [
        {
          "paidBy": "source",
          "feeSharing": {
            "destination": [
              null,
              null
            ]
          },
          "appliedTo": "base",
          "feeApi": "feeApi",
          "feeValue": {
            "balanceType": "current",
            "name": "name",
            "instanceRef": {
              "refferTo": ""
            },
            "value": "value"
          },
          "type": "fixed",
          "group": 5.637376656633329,
          "order": 2.3021358869347655
        },
        {
          "paidBy": "source",
          "feeSharing": {
            "destination": [
              null,
              null
            ]
          },
          "appliedTo": "base",
          "feeApi": "feeApi",
          "feeValue": {
            "balanceType": "current",
            "name": "name",
            "instanceRef": {
              "refferTo": ""
            },
            "value": "value"
          },
          "type": "fixed",
          "group": 5.637376656633329,
          "order": 2.3021358869347655
        }
      ],
      "transactionDateReversed": "2000-01-23T04:56:07.000Z",
      "orderId": "orderId",
      "transactionDateConfimed": "2000-01-23T04:56:07.000Z",
      "transactionDateCancelled": "2000-01-23T04:56:07.000Z",
      "transactionDateStarted": "2000-01-23T04:56:07.000Z",
      "id": "id",
      "events": [
        {
          "walletId": "walletId",
          "orderId": "orderId",
          "event_date": "2000-01-23T04:56:07.000Z",
          "id": "id",
          "originator": "originator",
          "status": "status"
        },
        {
          "walletId": "walletId",
          "orderId": "orderId",
          "event_date": "2000-01-23T04:56:07.000Z",
          "id": "id",
          "originator": "originator",
          "status": "status"
        }
      ],
      "status": "status"
    },
    {
      "walletId": "walletId",
      "fees": [
        {
          "paidBy": "source",
          "feeSharing": {
            "destination": [
              null,
              null
            ]
          },
          "appliedTo": "base",
          "feeApi": "feeApi",
          "feeValue": {
            "balanceType": "current",
            "name": "name",
            "instanceRef": {
              "refferTo": ""
            },
            "value": "value"
          },
          "type": "fixed",
          "group": 5.637376656633329,
          "order": 2.3021358869347655
        },
        {
          "paidBy": "source",
          "feeSharing": {
            "destination": [
              null,
              null
            ]
          },
          "appliedTo": "base",
          "feeApi": "feeApi",
          "feeValue": {
            "balanceType": "current",
            "name": "name",
            "instanceRef": {
              "refferTo": ""
            },
            "value": "value"
          },
          "type": "fixed",
          "group": 5.637376656633329,
          "order": 2.3021358869347655
        }
      ],
      "transactionDateReversed": "2000-01-23T04:56:07.000Z",
      "orderId": "orderId",
      "transactionDateConfimed": "2000-01-23T04:56:07.000Z",
      "transactionDateCancelled": "2000-01-23T04:56:07.000Z",
      "transactionDateStarted": "2000-01-23T04:56:07.000Z",
      "id": "id",
      "events": [
        {
          "walletId": "walletId",
          "orderId": "orderId",
          "event_date": "2000-01-23T04:56:07.000Z",
          "id": "id",
          "originator": "originator",
          "status": "status"
        },
        {
          "walletId": "walletId",
          "orderId": "orderId",
          "event_date": "2000-01-23T04:56:07.000Z",
          "id": "id",
          "originator": "originator",
          "status": "status"
        }
      ],
      "status": "status"
    }
  ],
  "tenantId": "tenantId"
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Path Parameters

walletId
string
required

Body

application/json

Sample Payload

type
string
required
created
string
required
status
string
required
pageNumber
number
required
orderId
number
required
pageSize
number

Response

successful operation

pagination
object
Example:
{
"totalSize": 6.027456183070403,
"numberOfPages": 0.8008281904610115,
"currentPage": 1.4658129805029452
}
tenantId
string
walletId
string
tranactions
object[]